It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
high rated
If you'd like to try out the game before purchasing, a free demo of System Shock2 is available here (it includes the engine and graphics updates).

!!! IMPORTANT !!!
-you will need the latest DirectX9 redist (https://www.microsoft.com/en-us/download/details.aspx?id=8109 download, run and unpack to a temp folder, open it and run dxsetup.exe) and VC++2008, most modern computers should already have them installed, but if not, the game will NOT run.
-make sure the game is not installed in program files or windows if you are using vista or newer.
-careful when following FAQs, many of them are outdated. stick with this one or with those on systemshock.org, if you want to be safe.

also check here if you appreciate what the modding community has done.

==========================================================================
Setting up your System Shock2 install:
==========================================================================

-patch up with SS2tool (5.1 or newer) this will make sure all the files are updated to their most recent version - some of the new mods require this, so do it before you start installing mods. just run the tool and point it to your SS2 install, everything else should be done automatically (you need to be connected to the internet, as the tool is a webinstaller). if you want to use the multiplayer, enable it in the options (it's buggy, you have been warned).

-run the game and see whether it works ok. if you have issues, check out the troubleshooting guide, and Useful links at the end of this post.

==========================================================================
Mod overview:
==========================================================================
-see the mod guide on systemshock.org. you'll definitely want the SHTUP (hires object textures and fixes. you should install this one no matter how much of a purist you are) and SCP (bugfixes and general overhaul). the rest is up to one's individual taste.

==========================================================================
Installing mods:
==========================================================================
- you should use a proper mod manager, this makes mods easy to handle and should help you avoid problems with priorities and file overwriting. SS2tool will install this for you.

- check here if you have the MAC version.

==========================================================================
Subtitles:
==========================================================================
- go here.

==========================================================================
Useful links:
==========================================================================
-system requirements
-enabling hud scaling
-enabling the windowed mode
-intel black screen fix
-last resort fix for those who cannot get the cutscenes working no matter what they try
-multimonitor fix (also try if your desktop resolution isn't listed in the video menu)
-optimus laptop fix
-discoloration and screen flashing fix
-audio issues fix
-fix for MAC players who instantly drown when diving under water

==========================================================================
Notes:
==========================================================================
-there is a new version of openAL available here.
-multiplayer is buggy, and only recommend for patient veteran gamers. you should play the game alone at least once before attempting a co-op.
-save often, and make a lot of saves (13 slots are available, make a good use of them), so you won't lose too much progress when a save glitches out (still seem to happen for a few users, even with all the latest fixes).
Post edited September 04, 2017 by voodoo47
See first post about modmanager
Post edited February 14, 2013 by Nirth
it's NOT recommended, as it's not compatible with the new (NewDark) mods, such as four hundred (world textures), or vurt's space etc.
Have you made sure these are all compatible with the GOG version? I'm pretty sure it comes with some mods already.
Hmm so many things to choose from. I guess I will wait until somebody can certify that any of these mods are necessary/work properly with the Gog version of the game.
Tacticool replaces all weapons? I thought it's still missing several, which leads to inconsistent quality, which is bad.

Similarly for the high res world (not object) textures.
Post edited February 14, 2013 by Al3xand3r
avatar
voodoo47: it's NOT recommended, as it's not compatible with the new (NewDark) mods, such as four hundred (world textures), or vurt's space etc.
Damnit, I love mod manager when you use more than one mod. Thanks for clearing that up though.
the GOG version uses NewDark, so everything should be compatible. will post more details when I get back from work (turns out the GOG package requires admin rights to install, and I don't have those at work).
Okay, awesome. I'm waiting for everyone to test it and make sure everything is working first, and a good mod tutorial before I actually play it, I've bought it already to prove my interest to GOG, though.
So the GOG version definitely already has NewDark/ v 2.4 installed? Do I need ss2tool to fix any moderate to serious bugs? What else does it do?
avatar
haydenaurion: So the GOG version definitely already has NewDark/ v 2.4 installed? Do I need ss2tool to fix any moderate to serious bugs? What else does it do?
at least for user of the german version, it makes it uncut.
ss2tool has some extra fixes, so yeah, it's recommended.
avatar
voodoo47: ss2tool has some extra fixes, so yeah, it's recommended.
But nothing that unbalances or changes the game from the original intention of the developers?
Do mods go into 'DataPermMods' or 'DataPermanentMods'?
I downloaded the SSTOOL, should I run it as-is since the GOG release already has 2.4, or should I uncheck the 2.3 update?